%define python3_pkgversion 3.11

# Created by pyp2rpm-3.3.3
%global pypi_name bracex

Name:           python-%{pypi_name}
Version:        2.4
Release:        1.0.2%{?dist}
Summary:        Bash style brace expander

License:        MIT License
URL:            https://github.com/facelessuser/bracex
Source0:        https://files.pythonhosted.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
Patch1001:	0001-Add-setup.py-file.patch
Patch1002:	0002-Modify-setup.py-file.patch	
Patch1003:	0003-Fix-license-in-pyproject.toml.patch	
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-rpm-macros


%description
%{summary}


%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}


%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}


%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build


%install
%py3_install


%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE.md docs/src/markdown/about/license.md
%doc README.md
%{python3_sitelib}/%{pypi_name}
%exclude %{python3_sitelib}/tests/*
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Aug 27 2024 Alex Burmashev <alexander.burmashev@oracle.com> - 2.4-1.0.2
- Do not package tests

* Thu Jul 18 2024 Craig Guiller <craig.guiller@oracle.com> - 2.4-1.0.1
- Update to 2.4
- Rebuild with python 3.11
- Add setup.py

* Mon Jan 30 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 2.2.1-2.0.1
- Rebuild for Python 3.9 [JIRA: OLAM-27]

* Fri Apr 22 2022 Yanis Guenane <yguenane@redhat.com> - 2.2.1-2
- Build against python 3.9

* Thu Feb 03 2022 Odilon Sousa 2.2.1-1
- Update to 2.2.1

* Wed Nov 03 2021 Odilon Sousa 2.2-1
- Update to 2.2

* Mon Sep 06 2021 Evgeni Golov - 2.1.1-2
- Build against Python 3.8

* Wed Mar 31 2021 Evgeni Golov - 2.1.1-1
- Initial package.
